aboutsummaryrefslogtreecommitdiffstats
path: root/policy-management/src/main/server-gen/bin/telemetry
diff options
context:
space:
mode:
Diffstat (limited to 'policy-management/src/main/server-gen/bin/telemetry')
-rw-r--r--policy-management/src/main/server-gen/bin/telemetry35
1 files changed, 18 insertions, 17 deletions
diff --git a/policy-management/src/main/server-gen/bin/telemetry b/policy-management/src/main/server-gen/bin/telemetry
index 37614b08..9d4b857a 100644
--- a/policy-management/src/main/server-gen/bin/telemetry
+++ b/policy-management/src/main/server-gen/bin/telemetry
@@ -1,44 +1,45 @@
#! /bin/bash
-###
# ============LICENSE_START=======================================================
-# ONAP POLICY
+# ONAP
# ================================================================================
-# Copyright (C) 2017-2018 AT&T Intellectual Property. All rights reserved.
+# Copyright (C) 2017-2020 AT&T Intellectual Property. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
-#
+#
# http://www.apache.org/licenses/LICENSE-2.0
-#
+#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ============LICENSE_END=========================================================
-##
+
+source ${POLICY_HOME}/etc/profile.d/env.sh
REST_TOOL="http-prompt"
TELEMETRY_SPEC="${POLICY_HOME}/config/telemetry-spec.json"
-if ! type -p "${REST_TOOL}" > /dev/null 2>&1; then
- echo "error: prerequisite software not found: http-prompt"
- exit 1
+if ! type -p "${REST_TOOL}" >/dev/null 2>&1; then
+ echo "error: prerequisite software not found: http-prompt"
+ exit 1
fi
-if ! "${POLICY_HOME}"/bin/policy-management-controller status > /dev/null 2>&1; then
- echo "error: pdp-d is not running"
- exit 2
+if ! "${POLICY_HOME}"/bin/policy-management-controller status >/dev/null 2>&1; then
+ echo "error: pdp-d is not running"
+ exit 2
fi
if [[ ! -r ${TELEMETRY_SPEC} ]]; then
- echo "generating new spec .."
- if ! http --verify=no -a "${TELEMETRY_USER}:${TELEMETRY_PASSWORD}" https://localhost:9696/swagger.json > ${TELEMETRY_SPEC} 2> /dev/null; then
- echo "error: cannot generate telemetry spec"
- exit 3
- fi
+ echo "generating new spec .."
+ if ! http --verify=no -a "${TELEMETRY_USER}:${TELEMETRY_PASSWORD}" https://localhost:9696/swagger.json >${TELEMETRY_SPEC} 2>/dev/null; then
+ echo "error: cannot generate telemetry spec"
+ rm -f ${TELEMETRY_SPEC} 2>/dev/null
+ exit 3
+ fi
fi
exec http-prompt https://localhost:9696/policy/pdp/engine --verify=no --auth "${TELEMETRY_USER}:${TELEMETRY_PASSWORD}" --spec ${TELEMETRY_SPEC}